local cam = {
	x = 0,
	y = 0,
	s = 1,
	apply = function()
		love.graphics.scale(cam.s,cam.s)
		love.graphics.translate(-cam.x+(screen.width/cam.s/2),-cam.y+(screen.height/cam.s/2))
	end,
	update = function()
		cam.x=ship.x
		cam.y=ship.y
	end,
	camCoordsToReal = function()
		return cam.x-((screen.width/cam.s)/2),cam.y-((screen.height/cam.s)/2)
	end,
	toRealCoords = function(x,y)
		local cx, cy = cam.camCoordsToReal()
		--$ How to program, with Justin Tutwiler:
		--$ Step 1: Try working out how you can solve the problem with basic math
		--$ Step 2: Realize that you don't have a good enough grasp on mathematics to solve the problem
		--$ Step 3: Try every random option until one works
		--$ Example:
		return cam.x+(x/cam.s)-(screen.width/2/cam.s), cam.y+(y/cam.s)-(screen.height/2/cam.s)
	end,
}
return cam