local game = {}

function game:mousepressed(x,y,b)
	if b == "wu" then
		traillength = traillength * 1.25
		if traillength > maxtraillength then
			traillength = traillength * 0.8
		end
	end
	if b == "wd" then
		traillength = traillength * 0.8
		if traillength < 1 then
			traillength = traillength * 1.25
		end
	end
end
function game:update(dt)
	ship:update(dt)
	cam.update()
end

function game:keypressed(key)
	if key == "z" then
		ship.dampeners = not ship.dampeners
	end
	if key == "=" then
		cam.s = cam.s * 1.2
	end
	if key == "-" then
		cam.s = cam.s / 1.2
	end
end

function game:draw()
	love.graphics.push()
	cam.apply()
	for k,object in pairs(world.objects) do
		if object.type == "planet" then
			love.graphics.setColor(255,255,255,255)
			love.graphics.circle("fill",object.x,object.y,object.size)
		end
	end
	ship:draw()
	love.graphics.pop()
	love.graphics.setColor(255,255,255,255)
	love.graphics.setFont(fonts.regular)
	love.graphics.print("Dampeners: " .. tostring(ship.dampeners) .. "\n" ..
						"Speed: " .. tostring(math.floor(math.abs(ship.velocity.x)+math.abs(ship.velocity.y))).." m/s\n"..
						"X: " .. math.floor(ship.x) .. " m\n" ..
						"Y: " .. math.floor(ship.y) .. " m")
end

return game